package com.minano.themovielibrary.controllers;

import com.minano.themovielibrary.helpers.ITVShowJSONParser;
import com.minano.themovielibrary.models.TVShowItem;

/**
 * Created by Admin on 18/09/2016.
 */
public class TVShowController implements ITVShowController {
    @Override
    public TVShowItem getTVShowItem(String stringUrl, ITVShowJSONParser parser) {
        String response = new HttpRetriever().getStringResponse(stringUrl);
        return parser.parseResponse(response);
    }
}
